import { deepMerge } from '@teamix/utils';
import useDialogAction from './dialog';
export function useDangerConfirmAction(action, context) {
  return useDialogAction(deepMerge({
    dialogQuickShowType: 'confirm',
    messageProps: {
      type: 'warning'
    },
    okProps: {
      warning: true
    }
  }, action), context);
}
export default useDangerConfirmAction;